GWT 2.7.0

## com.google.web.bindery.event.shared
Class Event.Type<H>

    java.lang.Object
      com.google.web.bindery.event.shared.Event.Type<H>

Type Parameters:
  `H` - handler type

Direct Known Subclasses:
  GwtEvent.Type

Enclosing class:
  Event<H>

    public static class Event.Type<H>

extends java.lang.Object

Type class used to register events with an `EventBus`.

Constructor Summary
`Event.Type()` Constructor.

Method Summary
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Event.Type

    public Event.Type()

  Constructor.

Method Detail

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

GWT 2.7.0